Loading...
Searching...
No Matches
Gudhi::persistence_matrix::Entry_column_index< Index > Class Template Reference
Persistence Matrix

Class managing the column index access of an entry. More...

`#include <include/gudhi/Persistence_matrix/columns/entry_types.h>`

## Public Member Functions

| Entry_column_index ()
| Default constructor. Sets to the column index to -1.
| Entry_column_index (Index columnIndex)
| Stores the given column index.
| Entry_column_index (const Entry_column_index &entry)
| Copy constructor.
| Entry_column_index (Entry_column_index &&entry) noexcept
| Move constructor.
Index | get_column_index () const
| Returns the MatIdx column index stored in the entry.
void | set_column_index (Index columnIndex)
| Sets the column index to the given value.
Entry_column_index & | operator= (Entry_column_index other)
| Assign operator.

## Detailed Description

template<typename Index>
class Gudhi::persistence_matrix::Entry_column_index< Index >

Class managing the column index access of an entry.

Template Parameters

  Index | MatIdx index type.

## Constructor & Destructor Documentation

## Entry_column_index() [1/3]

template<typename Index>

Gudhi::persistence_matrix::Entry_column_index< Index >::Entry_column_index | ( | Index | columnIndex | ) |

inline

Stores the given column index.

Parameters

  columnIndex | Column index of the entry.

## Entry_column_index() [2/3]

template<typename Index>

Gudhi::persistence_matrix::Entry_column_index< Index >::Entry_column_index | ( | const Entry_column_index< Index > & | entry | ) |

inline

Copy constructor.

Parameters

  entry | Entry to copy.

## Entry_column_index() [3/3]

template<typename Index>

Gudhi::persistence_matrix::Entry_column_index< Index >::Entry_column_index | ( | Entry_column_index< Index > && | entry | ) |

inline noexcept

Move constructor.

Parameters

  entry | Entry to move.

## Member Function Documentation

## get_column_index()

template<typename Index>

Index Gudhi::persistence_matrix::Entry_column_index< Index >::get_column_index | ( |  | ) | const

inline

Returns the MatIdx column index stored in the entry.

Returns
  Column index of the entry.

## set_column_index()

template<typename Index>

void Gudhi::persistence_matrix::Entry_column_index< Index >::set_column_index | ( | Index | columnIndex | ) |

inline

Sets the column index to the given value.

Parameters

  columnIndex | Column index of the entry.

The documentation for this class was generated from the following file:

- include/gudhi/Persistence_matrix/columns/entry_types.h